#### D.15.4.31 derivationCheckList

Procedure from library `difform.lib` (see difform_lib).

Usage:
  derivationCheckList(L); L list

Remarks:
  The procedure checks if a given list has the right form for a derivation and throws an error if this is not the case. In particular: - Only degree-1 generators are allowed in L[1] - this is checked via difformIsGen - Any degree-1 generator must occur once - this is checked via difformListCont

Note:
  like in derivationFromList, the structure of L must follow the rules: - L[1] is a list of all degree-1 generators: all dx_i must occur once and no other differential forms are allowed. The order of the list is not important - L[2] is the list of images of the dx_i: these must be polynomials

See also: derivationFromList; difformIsGen; difformListCont.

User manual for Singular version 4.4.1, 2025, generated by texi2html.